package org.interceptor.api;

import javax.interceptor.AroundInvoke;
import javax.interceptor.Interceptor;
import javax.interceptor.InvocationContext;

/**
 * Hello world!
 *
 */
@Interceptor
@InterceptedLogging
public class EJBInterceptor {
	@AroundInvoke
	public Object log(InvocationContext context) {

		System.out.println("Invoke: " + context.toString());
		
		try {
			return context.proceed();
		} catch (Exception e) {
			return null;
		}

	}

}
